Modify

Opened 9 years ago

Closed 9 years ago

#4071 closed defect (fixed)

Asterisk 1.4 doesn't start with uClibc 0.9.29

Reported by: chris@… Owned by: zandbelt
Priority: normal Milestone:
Component: packages Version:
Keywords: Cc:

Description

Asterisk 1.4 does start OK if using uClibc 0.9.28.2
I haven't tested with the uClibc snapshot as the build config is broken.

This issue (re: asterisk & uClib 0.9.29) is mentioned several times in the forms - I'll link the threads later. I have tested it myself and cam confirm it.

I'm only opening a ticket as it appears that no-one else has.

Attachments (1)

asterisk-uclib-patch (1.1 KB) - added by charles.kirsch@… 9 years ago.

Download all attachments as: .zip

Change History (5)

comment:1 Changed 9 years ago by charles.kirsch@…

I encountered the same problem, however there is a workaround for uClibc:
you need to patch asterisk using patch https://bugs.busybox.net/file_download.php?file_id=3534&type=bug (asterisk.c_2.diff) as described in:
https://bugs.busybox.net/view.php?id=1779
The patch is against asterisk 1.6 but it also works with 1.4.21.
Could you please integrate it before next release of OpenWRT.

comment:2 Changed 9 years ago by agb

  • Owner changed from developers to agb
  • Status changed from new to assigned

Can you attach the file to this ticket? The busybox/uClibc bug tracker is offline.

Changed 9 years ago by charles.kirsch@…

comment:3 Changed 9 years ago by zandbelt

  • Owner changed from agb to zandbelt
  • Status changed from assigned to new

comment:4 Changed 9 years ago by zandbelt

  • Resolution set to fixed
  • Status changed from new to closed

fixed in [13712]; thanks

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.